# TODO
# - ld.bfd enforced because gold does not understand '!' in version script (binutils-3:2.21.53.0.1-1)
%define		talloc_version	2:2.1.0
%define		tdb_version	2:1.2.13
%define		tevent_version	0.9.21
Summary:	LDAP-like embedded database
Summary(pl.UTF-8):	Wbudowana baza danych podobna do LDAP
Name:		ldb
Version:	1.1.17
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	http://www.samba.org/ftp/ldb/%{name}-%{version}.tar.gz
# Source0-md5:	7c2ab4e3f2a4186493aa06eabbc61cc0
URL:		http://ldb.samba.org/
BuildRequires:	autoconf
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt
BuildRequires:	popt-devel >= 1.6
BuildRequires:	python-devel >= 1:2.4.2
BuildRequires:	python-talloc-devel >= %{talloc_version}
BuildRequires:	python-tdb >= %{tdb_version}
BuildRequires:	python-tevent >= %{tevent_version}
BuildRequires:	talloc-devel >= %{talloc_version}
BuildRequires:	tdb-devel >= %{tdb_version}
BuildRequires:	tevent-devel >= %{tevent_version}
Requires:	talloc >= %{talloc_version}
Requires:	tdb >= %{tdb_version}
Requires:	tevent >= %{tevent_version}
Requires:	popt >= 1.6
Provides:	libldb = %{version}-%{release}
Obsoletes:	libldb < 1.1.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An extensible library that implements an LDAP like API to access
remote LDAP servers, or use local tdb databases.

%description -l pl.UTF-8
Rozszerzalna biblioteka implementująca API podobne do LDAP pozwalające
na dostęp do zdalnych serwerów LDAP lub wykorzystanie lokalnych baz
danych tdb.

%package tools
Summary:	Tools to manage LDB files
Summary(pl.UTF-8):	Narzędzia do zarządzania plikami LDB
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to manage LDB files.

%description tools -l pl.UTF-8
Narzędzia do zarządzania plikami LDB.

%package devel
Summary:	Header files for the LDB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LDB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	talloc-devel >= %{talloc_version}
Requires:	tdb-devel >= %{tdb_version}
Requires:	tevent-devel >= %{tevent_version}
Provides:	libldb-devel = %{version}-%{release}
Obsoletes:	libldb-devel < 1.1.0-3

%description devel
Header files needed to develop programs that link against the LDB
library.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia programów wykorzystujących
bibliotekę LDB.

%package -n python-ldb
Summary:	Python bindings for the LDB library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki LDB
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-libs >= 1:2.4.2
Requires:	python-tdb >= %{tdb_version}
Obsoletes:	pyldb

%description -n python-ldb
Python bindings for the LDB library.

%description -n python-ldb -l pl.UTF-8
Wiązania Pythona do biblioteki LDB.

%package -n python-ldb-devel
Summary:	Development files for the Python bindings for the LDB library
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do biblioteki LDB
Group:		Development/Libraries
Requires:	python-ldb = %{version}-%{release}

%description -n python-ldb-devel
Development files for the Python bindings for the LDB library.

%description -n python-ldb-devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do biblioteki LDB.

%prep
%setup -q

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags} -fuse-ld=bfd" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-modulesdir=%{_libdir}/ldb/modules \
	--with-privatelibdir=%{_libdir}/ldb \
	--bundled-libraries=NONE \
	--disable-rpath \
	--disable-rpath-install

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Shared libraries need to be marked executable for
# rpmbuild to strip them and include them in debuginfo
find $RPM_BUILD_ROOT -name "*.so*" -exec chmod -c +x {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n python-ldb -p /sbin/ldconfig
%postun	-n python-ldb -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libldb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libldb.so.1
%dir %{_libdir}/ldb
%dir %{_libdir}/ldb/modules
%dir %{_libdir}/ldb/modules/ldb
%attr(755,root,root) %{_libdir}/ldb/modules/ldb/*.so

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ldbadd
%attr(755,root,root) %{_bindir}/ldbdel
%attr(755,root,root) %{_bindir}/ldbedit
%attr(755,root,root) %{_bindir}/ldbmodify
%attr(755,root,root) %{_bindir}/ldbrename
%attr(755,root,root) %{_bindir}/ldbsearch
%attr(755,root,root) %{_libdir}/ldb/libldb-cmdline.so
%{_mandir}/man1/ldbadd.1*
%{_mandir}/man1/ldbdel.1*
%{_mandir}/man1/ldbedit.1*
%{_mandir}/man1/ldbmodify.1*
%{_mandir}/man1/ldbrename.1*
%{_mandir}/man1/ldbsearch.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libldb.so
%{_includedir}/ldb_module.h
%{_includedir}/ldb_handlers.h
%{_includedir}/ldb_errors.h
%{_includedir}/ldb_version.h
%{_includedir}/ldb.h
%{_pkgconfigdir}/ldb.pc
%{_mandir}/man3/ldb.3*

%files -n python-ldb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyldb-util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyldb-util.so.1
%attr(755,root,root) %{py_sitedir}/ldb.so

%files -n python-ldb-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyldb-util.so
%{_includedir}/pyldb.h
%{_pkgconfigdir}/pyldb-util.pc
%changelog
* Sat Aug 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ldb.git;a=log;h=master

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 074f9f5
- updated to 1.1.17

* Tue Jul 02 2013 Jan Rękorajski <baggins@pld-linux.org> d8c8a48
- updated to 1.1.16

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 0fa7f9e
- updated to 1.1.15

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 97bd97e
- updated to 1.1.14

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 56acf5d
- base Group fixed

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 9c196e2
- pl, updated talloc package name

* Sat Oct 22 2011 Elan Ruusamäe <glen@pld-linux.org> 7e779e8
- tdb epoch

* Thu Oct 20 2011 Elan Ruusamäe <glen@pld-linux.org> cd17861
- rename to ldb (follow upstream name)

* Thu Oct 20 2011 Elan Ruusamäe <glen@pld-linux.org> 88ce4cc
- force ld.bfd via -fuse-ld=bfd (option since gcc-6:4.6.1-5)

* Thu Oct 13 2011 Elan Ruusamäe <glen@pld-linux.org> de21c16
- try to force ld.bfd in PATH/COMPILER_PATH. still gcc internally uses /usr/bin/ld :(

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 7f41620
- workaround for ! not understood in version script

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2a1bfbb
- new, based on fedora spec

